import { StrategyBasedIndicatorDescription } from "./StrategyBasedIndicatorDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class PercentageVolumeOscillatorIndicatorDescription extends StrategyBasedIndicatorDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private fo;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    private fn;
    get longPeriod(): number;
    set longPeriod(a: number);
}
